update-notifier crashed with SIGSEGV in gdu_pool_get_devices()

Bug #403192 reported by zeroc on 2009-07-22
This bug affects 259 people
Affects Status Importance Assigned to Milestone
GNOME Disks
Won't Fix
Critical
obsolete
Fix Released
High
devicekit-disks (Ubuntu)
High
Martin Pitt
Karmic
High
Martin Pitt
update-notifier (Ubuntu)
Medium
Unassigned
Karmic
Medium
Unassigned

Bug Description

Most likely duplicates: bug 418300

Binary package hint: update-notifier

...

ProblemType: Crash
Architecture: i386
Date: Wed Jul 22 20:47:44 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/bin/update-notifier
Package: update-notifier 0.87
ProcCmdline: update-notifier --startup-delay=60
ProcEnviron:
 LANGUAGE=de_DE@euro
 LANG=de_DE@euro
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-3.19-generic
SegvAnalysis:
 Segfault happened at: 0x135b5e <gdu_pool_get_devices+30>: mov 0xc(%edx),%eax
 PC (0x00135b5e) ok
 source "0xc(%edx)" (0x0000000c) not located in a known VMA region (needed readable region)!
 destination "%eax" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: update-notifier
Stacktrace:
 #0 0x00135b5e in gdu_pool_get_devices () from /usr/lib/libgdu.so.0
 #1 0x08052bb7 in up_check_mounted_devices ()
 #2 0x08052c3e in up_do_hal_init ()
 #3 0x0804d45f in main ()
StacktraceTop:
 gdu_pool_get_devices () from /usr/lib/libgdu.so.0
 up_check_mounted_devices ()
 up_do_hal_init ()
 main ()
Title: update-notifier crashed with SIGSEGV in gdu_pool_get_devices()
Uname: Linux 2.6.31-3-generic i686
UserGroups: adm admin audio cdrom davfs2 dialout dip floppy fuse lpadmin plugdev sambashare video

zeroc (zero-c) wrote :

StacktraceTop:gdu_pool_get_devices (pool=0x0) at gdu-pool.c:1345
up_check_mounted_devices (pool=0x0, data=0x98e5540)
up_do_hal_init (un=0x98e5540) at gdu.c:220
main (argc=1, argv=0xbfe52564) at update-notifier.c:549

Changed in update-notifier (Ubuntu):
importance: Undecided → Medium
tags: removed: need-i386-retrace
affects: update-notifier (Ubuntu) → gnome-disk-utility (Ubuntu)
visibility: private → public
Scott Lewin (sclewin) wrote :

+1. This is affecting me as well in the same way. Update-notifier haves not worked for me since I installed Alpha-3.

SpmP (scarletpimpernal) wrote :

Issue just appeared after dist-upgrade last night.
platform: amd64.
release: 9.10

nullack (nullack) on 2009-08-13
Changed in gnome-disk-utility (Ubuntu):
status: New → Confirmed
Sebastien Bacher (seb128) wrote :

Thanks for your bug report. This bug has been reported to the developers of the software. You can track it and make comments here: http://bugzilla.gnome.org/show_bug.cgi?id=591658

Changed in gnome-disk-utility (Ubuntu):
status: Confirmed → Triaged
James Westby (james-w) on 2009-08-13
Changed in update-notifier (Ubuntu):
status: New → Triaged
importance: Undecided → Medium

Asus Eee PC 1000h

tags: added: metabug
Pedro Villavicencio (pedro) wrote :

raising the importance due to the quantity of duplicates.

Changed in gnome-disk-utility (Ubuntu):
importance: Medium → High
milestone: none → ubuntu-9.10
Pedro Villavicencio (pedro) wrote :

Martin, may you have a look to it? Thanks.

Changed in gnome-disk-utility (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
w4ett (w4ett) wrote :

This bug appeared for me after update of 08/21/09

James Westby (james-w) wrote :

I provided a patch upstream that avoids the crash, but was asked why
it was happening in the first place. A little digging led me to believe that

https://code.launchpad.net/~james-w/ubuntu/karmic/devicekit-disks/fix-403192/+merge/10675

will stop this happening for at least my case.

Thanks,

James

Martin Pitt (pitti) wrote :

Thanks, James. I can't reproduce it either, but let's try this patch, I'll upload it now.

Can people who are affected by this please report back if that helped, or if it is still an issue for them? Some reproduction recipe would also be greatly appreciated.

Changed in update-notifier (Ubuntu):
status: Triaged → Invalid
affects: gnome-disk-utility (Ubuntu) → devicekit-disks (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package devicekit-disks - 006-0ubuntu2

---------------
devicekit-disks (006-0ubuntu2) karmic; urgency=low

  * Add 01_fix_dbus_policy.patch: Add missing D-BUS ACLs, thanks James Westby!
    (LP: #403192)

 -- Martin Pitt <email address hidden> Thu, 27 Aug 2009 16:00:04 +0200

Changed in devicekit-disks (Ubuntu):
status: Triaged → Fix Released
NoahY (noahy) wrote :

I can verify that this morning I received update notifications for the first time in a while, and the apport errors have stopped showing up.

Christopher (soft-kristal) wrote :

Me too - I think it's the first time I've ever seen one on the laptop. I thought is was a hardware issue, as the netbook and desktop in Jaunty both show indicators.

Hi,

g-d-u will currently fail to work as it relies on
the DBus Properties interface to be available on
dk-disks, but as it is the system bus this must
be explicitly allowed in the configuration.

http://bazaar.launchpad.net/~james-w/ubuntu/karmic/devicekit-disks/fix-403192/revision/14

Thanks,

James

Guillermo Gonzalez (verterok) wrote :

Just hitted this after dist-upgrade and reboot.

The same here... power on PC, wait for boot, logon into Gnome and wait
few seconds. Just one unusual setup in my config - I have the
update-notifier in notification area rather than popup window via
"unsupported" gconf setting done.. see bug #332945 - that might be the
way to reproduce the crash....

Guillermo Gonzalez píše v Pá 28. 08. 2009 v 14:58 +0000:
> Just hitted this after dist-upgrade and reboot.
>

This was originally filed as https://launchpad.net/bugs/403192, and this patch was confirmed to work.

Changed in devicekit:
status: Unknown → Confirmed
Eric Casteleijn (thisfred) wrote :

Started happening this morning in karmic. (last update was friday or saturday.)

Download full text (4.3 KiB)

Not fixed, generating a duplicated bug report.

leleobhz@luana:~$ LANG=C dpkg -l devicekit-disks ; sudo lshw -short ; stat /var/lib/apt/lists/br.archive.ubuntu.com_ubuntu_dists_karmic_main_binary-i386_Packages
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Name Version Description
+++-===================-===================-======================================================
ii devicekit-disks 006-0ubuntu3 abstraction for enumerating block devices
H/W path Device Class Description
=========================================================
                                  system Inspiron 910
/0 bus BR0F29
/0/1 memory 100KiB BIOS
/0/5 processor Intel(R) Atom(TM) CPU N270 @ 1.60GHz
/0/5/6 memory 32KiB L1 cache
/0/5/7 memory 512KiB L2 cache
/0/5/0.1 processor Logical CPU
/0/5/0.2 processor Logical CPU
/0/10 memory 1GiB System Memory
/0/10/0 memory 1GiB SODIMM DDR2 Synchronous 533 MHz (1.9 ns)
/0/100 bridge Mobile 945GME Express Memory Controller Hub
/0/100/2 display Mobile 945GME Express Integrated Graphics Controller
/0/100/2.1 display Mobile 945GM/GMS/GME, 943/940GML Express Integrated Grap
/0/100/1b multimedia 82801G (ICH7 Family) High Definition Audio Controller
/0/100/1c bridge 82801G (ICH7 Family) PCI Express Port 1
/0/100/1c/0 generic SD/MMC Host Controller
/0/100/1c/0.2 generic Standard SD Host Controller
/0/100/1c/0.3 generic MS Host Controller
/0/100/1c.1 bridge 82801G (ICH7 Family) PCI Express Port 2
/0/100/1c.1/0 eth1 network BCM4312 802.11b/g
/0/100/1c.2 bridge 82801G (ICH7 Family) PCI Express Port 3
/0/100/1c.2/0 eth0 network RTL8101E/RTL8102E PCI Express Fast Ethernet controller
/0/100/1d bus 82801G (ICH7 Family) USB UHCI Controller #1
/0/100/1d.1 bus 82801G (ICH7 Family) USB UHCI Controller #2
/0/100/1d.2 bus 82801G (ICH7 Family) USB UHCI Controller #3
/0/100/1d.3 bus 82801G (ICH7 Family) USB UHCI Controller #4
/0/100/1d.7 bus 82801G (ICH7 Family) USB2 EHCI Controller
/0/100/1e bridge 82801 Mobile PCI Bridge
/0/100/1f bridge 82801GBM (ICH7-M) LPC Interface Bridge
/0/100/1f.1 scsi0 storage 82801G (ICH7 Family) IDE Controller
/0/100/1f.1/0.0.0 /dev/sda disk 15GB STEC PATA 16GB
/0/10...

Read more...

James Deibele (jdeibele) wrote :

Had apparently the same bug with 64 bit. 9.10 with everything current as of a moment ago.

Sebastien Bacher (seb128) wrote :

reopening there is quite some new duplicates running the most recent version

Changed in devicekit-disks (Ubuntu):
status: Fix Released → Confirmed
Sebastien Bacher (seb128) wrote :

would bug #418300 be the same one?

Sebastien Bacher (seb128) wrote :

the stacktrace are slightly different though...

John Vivirito (gnomefreak) wrote :

i Have the same crash at least from what apport said. should i attach apport info?

John Vivirito (gnomefreak) wrote :

oh forgot:
this was said to be a gwibber crash. I had just logged in when this crash appeared gwibber was not open.

SvinFAN (svinfan) wrote :

Crash after install IceWM.

Martin Pitt (pitti) on 2009-09-07
description: updated
Sebastien Bacher (seb128) wrote :

see bug #422392 which suggests that daemon need a restart after upgrade too

Sebastien Bacher (seb128) wrote :

there is quite some duplicates which have been sent after the fix but no new ones this week though

Can we please get this applied upstream? It's causing hundreds of crashes.

Martin Pitt (pitti) wrote :

Seems we just need to restart devicekit-disks on upgrade, similar to dk-power (see bug 422392)

Changed in devicekit-disks (Ubuntu Karmic):
status: Confirmed → In Progress
Martin Pitt (pitti) on 2009-09-16
Changed in devicekit-disks (Ubuntu Karmic):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package devicekit-disks - 006-0ubuntu4

---------------
devicekit-disks (006-0ubuntu4) karmic; urgency=low

  * Add devicekit-disks.postinst: Kill the old devkit-disks-daemon, to ensure
    that the new version will be used at the next occasion. (LP: #403192)

 -- Martin Pitt <email address hidden> Wed, 16 Sep 2009 18:46:10 +0200

Changed in devicekit-disks (Ubuntu Karmic):
status: Fix Committed → Fix Released

Not sure why I'm not seeing this error, maybe it's because I'm using dbus 1.2.16. Anyway, I think we need some more interfaces. I've committed this to master:

+ <allow send_destination="org.freedesktop.DeviceKit.Disks"
+ send_interface="org.freedesktop.DBus.Properties"/>
+ <allow send_destination="org.freedesktop.DeviceKit.Disks"
+ send_interface="org.freedesktop.DBus.Introspectable"/>
+ <allow send_destination="org.freedesktop.DeviceKit.Disks"
+ send_interface="org.freedesktop.DeviceKit.Disks"/>
+ <allow send_destination="org.freedesktop.DeviceKit.Disks"
+ send_interface="org.freedesktop.DeviceKit.Disks.Device"/>

That's also the version of DBus I am using, and I doubt, and really
hope, that this is not due to DBus versions or distro patching, changing
the default properties of the system bus in that way could potentially
lead to security holes.

Thanks for committing the change.

James

Changed in devicekit:
status: Confirmed → Fix Released
tags: added: iso-testing
Changed in devicekit:
importance: Unknown → High
Changed in gnome-disk-utility:
importance: Unknown → Critical
status: Unknown → Won't Fix
Changed in devicekit:
importance: High → Unknown
Changed in devicekit:
importance: Unknown → High
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.